React Range Component

Range

React range component. Use our custom range inputs for consistent cross-browser styling and built-in customization.

Available in Other JavaScript Frameworks

CoreUI React Range Component is also available for Angular, Bootstrap, and Vue. Explore framework-specific implementations below:

Overview

Create custom <input type="range"> controls with <CFormRange>. The track (the background) and thumb (the value) are both styled to appear the same across browsers. As only Edge Legacy and Firefox supports “filling” their track from the left or right of the thumb as a means to visually indicate progress, we do not currently support it.

import React from 'react'
import { CFormRange } from '@coreui/react'

export const FormRangeExample = () => {
  return <CFormRange id="customRange1" label="Example range" />
}
import React from 'react'
import { CFormRange } from '@coreui/react'

export const FormRangeExample = () => {
  return <CFormRange id="customRange1" label="Example range" />
}

Disabled

Add the disabled boolean attribute on an input to give it a grayed out appearance and remove pointer events.

import React from 'react'
import { CFormRange } from '@coreui/react'

export const FormRangeDisabledExample = () => {
  return <CFormRange id="disabledRange" label="Disabled range" disabled />
}
import React from 'react'
import { CFormRange } from '@coreui/react'

export const FormRangeDisabledExample = () => {
  return <CFormRange id="disabledRange" label="Disabled range" disabled />
}

Min and max

Range inputs have implicit values for min and max—0 and 100, respectively. You may specify new values for those using the min and max attributes.

import React from 'react'
import { CFormRange } from '@coreui/react'

export const FormRangeMinAndMaxExample = () => {
  return <CFormRange min={0} max={5} label="Example range" defaultValue="3" />
}
import React from 'react'
import { CFormRange } from '@coreui/react'

export const FormRangeMinAndMaxExample = () => {
  return <CFormRange min={0} max={5} label="Example range" defaultValue="3" />
}

Steps

By default, range inputs “snap” to integer values. To change this, you can specify a step value. In the example below, we double the number of steps by using step={0.5}.

import React from 'react'
import { CFormRange } from '@coreui/react'

export const FormRangeStepsExample = () => {
  return <CFormRange min={0} max={5} step={0.5} label="Example range" defaultValue="3" />
}
import React from 'react'
import { CFormRange } from '@coreui/react'

export const FormRangeStepsExample = () => {
  return <CFormRange min={0} max={5} step={0.5} label="Example range" defaultValue="3" />
}

API

Check out the documentation below for a comprehensive guide to all the props you can use with the components mentioned here.

Vue Range Component

Range

Vue range component. Use our custom range inputs for consistent cross-browser styling and built-in customization.

Available in Other JavaScript Frameworks

CoreUI Vue Range Component is also available for Angular, Bootstrap, and React. Explore framework-specific implementations below:

Overview

Create custom <input type="range"> controls with <CFormRange>. The track (the background) and thumb (the value) are both styled to appear the same across browsers. As only Edge Legacy and Firefox supports “filling” their track from the left or right of the thumb as a means to visually indicate progress, we do not currently support it.

vue
<template>
  <CFormRange id="customRange1" label="Example range" />
</template>

<script setup>
import { CFormRange } from '@coreui/vue'
</script>

Disabled

Add the disabled boolean attribute on an input to give it a grayed out appearance and remove pointer events.

vue
<template>
  <CFormRange id="disabledRange" disabled label="Disabled range" />
</template>

<script setup>
import { CFormRange } from '@coreui/vue'
</script>

Min and max

Range inputs have implicit values for min and max—0 and 100, respectively. You may specify new values for those using the min and max attributes.

vue
<template>
  <CFormRange id="customRange2" label="Example range" :min="0" :max="5" :value="3" />
</template>

<script setup>
import { CFormRange } from '@coreui/vue'
</script>

Steps

By default, range inputs “snap” to integer values. To change this, you can specify a step value. In the example below, we double the number of steps by using :step="0.5".

vue
<template>
  <CFormRange id="customRange3" label="Example range" :min="0" :max="5" :step="0.5" :value="3" />
</template>

<script setup>
import { CFormRange } from '@coreui/vue'
</script>

API

Check out the documentation below for a comprehensive guide to all the props you can use with the components mentioned here.

Angular Range Component

Range

Use our custom Angular Range inputs for consistent cross-browser styling and built-in customization.

Available in Other JavaScript Frameworks

CoreUI Angular Range Component is also available for Bootstrap, React, and Vue. Explore framework-specific implementations below:

Overview

Create custom range controls with <input cFormControl type="range">. The track (the background) and thumb (the value) are both styled to appear the same across browsers. As only Edge Legacy and Firefox supports “filling” their track from the left or right of the thumb as a means to visually indicate progress, we do not currently support it.

import { Component, signal } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { FormControlDirective, FormLabelDirective } from '@coreui/angular';

@Component({
  selector: 'docs-range-overview',
  templateUrl: './range-overview.component.html',
  imports: [FormLabelDirective, FormControlDirective, ReactiveFormsModule, FormsModule]
})
export class RangeOverviewComponent {
  readonly value = signal(50);
}
<label cLabel for="customRange1">Example range - <strong>{{value()}}</strong></label>
<input [(ngModel)]="value" cFormControl id="customRange1" type="range" />

Disabled

Add the disabled boolean attribute on an input to give it a grayed out appearance and remove pointer events.

import { Component } from '@angular/core';
import { FormControlDirective, FormLabelDirective } from '@coreui/angular';

@Component({
  selector: 'docs-range-disabled',
  templateUrl: './range-disabled.component.html',
  imports: [FormLabelDirective, FormControlDirective]
})
export class RangeDisabledComponent {}
<label cLabel for="disabledRange">Disabled range</label>
<input cFormControl disabled id="disabledRange" type="range" />

Min and max

Range inputs have implicit values for min="0" and max="100", respectively. You may specify new values for those using the min and max attributes.

import { Component, signal } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { FormControlDirective, FormLabelDirective } from '@coreui/angular';

@Component({
  selector: 'docs-range-min-max',
  templateUrl: './range-min-max.component.html',
  imports: [FormLabelDirective, FormControlDirective, ReactiveFormsModule, FormsModule]
})
export class RangeMinMaxComponent {
  min = 0;
  max = 6;
  readonly value = signal(4);
}
<label cLabel for="customRange2">Example range - <strong>{{value()}}</strong></label>
<input [(ngModel)]="value" cFormControl id="customRange2" [max]="max" [min]="min" type="range" />

Steps

By default, range inputs “snap” to integer values. To change this, you can specify a step value. In the example below, we double the number of steps by using step="0.5".

import { Component, signal } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { FormControlDirective, FormLabelDirective } from '@coreui/angular';

@Component({
  selector: 'docs-range-steps',
  templateUrl: './range-steps.component.html',
  imports: [FormLabelDirective, FormControlDirective, ReactiveFormsModule, FormsModule]
})
export class RangeStepsComponent {
  readonly value = signal(3);
}
<label cLabel for="customRange3">Example range - <strong>{{value()}}</strong></label>
<input [(ngModel)]="value"
       cFormControl
       id="customRange3"
       max="5"
       min="0"
       step="0.5"
       type="range" />

API reference

Form Module

cFormControl

directive

Works with input html tag of type="range".

Inputs

namedescriptiontypedefault
maxSpecifies the maximum value for the component.number100
minSpecifies the minimum value for the component.number0
stepSpecifies the interval between legal numbers in the component.number1
typeSpecifies the html type of input element.rangerequired
valueThe value attribute of the input.number(max-min)/2
disabledToggle the disabled state for the component.booleanfalse